SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (E-mail Client)  >   Mozilla Thunderbird Vendors:   Mozilla.org
(Oracle Issues Fix for Oracle Linux for Mozilla Thunderbird) Mozilla Firefox Multiple Bugs Let Remote Users Spoof URLs, Conduct Cross-Site Scripting Attacks, Obtain Potentially Sensitive Information, and Execute Arbitrary Code
SecurityTracker Alert ID:  1039567
SecurityTracker URL:  http://securitytracker.com/id/1039567
CVE Reference:   CVE-2017-7793, CVE-2017-7810, CVE-2017-7814, CVE-2017-7818, CVE-2017-7819   (Links to External Site)
Date:  Oct 12 2017
Impact:   Disclosure of authentication information, Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, Modification of system information, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Multiple vulnerabilities were reported in Mozilla Firefox. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can obtain potentially sensitive information on the target system. A remote user can spoof URLs. A remote user can conduct cross-site scripting attacks. Mozilla Thunderbird is affected.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A use-after-free memory error may occur in the Fetch API [CVE-2017-7793].

A use-after-free memory error may occur when manipulating arrays of Accessible Rich Internet Applications (ARIA) elements within containers via the DOM [CVE-2017-7818].

A use-after-free memory error may occur in design mode when image objects are resized [CVE-2017-7819].

A buffer overflow may occur when drawing and validating elements with the ANGLE graphics library [CVE-2017-7824].

A use-after-free memory error may occur during TLS 1.2 exchanges [CVE-2017-7805].

A remote user can create specially crafted content that, when dragged onto the browser tab bar, will open files stored on the target user's system [CVE-2017-7812].

Other memory corruption errors may occur [CVE-2017-7810, CVE-2017-7811].

A remote user can trigger an integer truncation flaw in the JavaScript parser to read data outside of the buffer [CVE-2017-7813].

The content security policy (CSP) sandbox directive may not create a unique origin for a document. A remote user can exploit this to conduct cross-scripting attacks [CVE-2017-7823].

A remote user can bypass phishing and malware protection warnings via 'blob:' and 'data:' URL elements [CVE-2017-7814].

A remote user can cause some Tibetan and Arabic characters in several fonts to be displayed as whitespace, which may allow domain spoofing attacks [CVE-2017-7825]. mac OS X systems are affected.

A remote user can invoke the 'data:' protocol within an iframe to spoof a modal dialog's origin [CVE-2017-7815]. Systems with e10 multiprocess disabled are affected.

A remote user can invoke WebExtensions to load an 'about:' privileged URL [CVE-2017-7816].

A remote user can invoke WebExtensions to download and attempt to open a file of some non-executable file types without user interaction [CVE-2017-7821].

The WebCrypto API AES-GCM implementation accepts 0-length IV. A remote user may be able to exploit this to determine the authentication key in certain cases [CVE-2017-7822].

A remote user may be able to bypass the Xray wrapper mechanism [CVE-2017-7820].

A remote user can spoof the address bar via fullscreen mode [CVE-2017-7817]. Firefox for Android is affected.


Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can obtain potentially sensitive information on the target system.

A remote user can spoof the address bar and other user interface components.

A remote user can conduct cross-site scripting attacks.

Solution:   Oracle has issued a fix for CVE-2017-7793, CVE-2017-7810, CVE-2017-7814, CVE-2017-7818, and CVE-2017-7819 for Mozilla Thunderbird.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2017-2885.html

Vendor URL:  linux.oracle.com/errata/ELSA-2017-2885.html (Links to External Site)
Cause:   Access control error, Boundary error, Input validation error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  6, 7

Message History:   This archive entry is a follow-up to the message listed below.
Sep 29 2017 Mozilla Firefox Multiple Bugs Let Remote Users Spoof URLs, Conduct Cross-Site Scripting Attacks, Obtain Potentially Sensitive Information, and Execute Arbitrary Code



 Source Message Contents

Subject:  [El-errata] ELSA-2017-2885 Important: Oracle Linux 6 thunderbird security update

Oracle Linux Security Advisory ELSA-2017-2885

http://linux.oracle.com/errata/ELSA-2017-2885.html

The following updated rpms for Oracle Linux 6 have been uploaded to the 
Unbreakable Linux Network:

i386:
thunderbird-52.4.0-2.0.1.el6_9.i686.rpm

x86_64:
thunderbird-52.4.0-2.0.1.el6_9.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol6/SRPMS-updates/thunderbird-52.4.0-2.0.1.el6_9.src.rpm



Description of changes:

[52.4.0-2.0.1]
- Replaced thunderbird-redhat-default-prefs.js with 
thunderbird-oracle-default-prefs.js

[52.4.0-2]
- Update to 52.4.0 (b2)


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC